GNU bug report logs - #8488
print error messages about why specified font size is not used

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: jidanni@HIDDEN; dated Wed, 13 Apr 2011 02:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Apr 2011 02:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 12 22:12:21 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q9pZ7-0008LI-08
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2011 22:12:21 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jidanni@HIDDEN>) id 1Q9pZ5-0008L7-47
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2011 22:12:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1Q9p0y-00033k-FC
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2011 21:37:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00, RCVD_IN_DNSWL_NONE, 
	T_DKIM_INVALID autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:52943)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1Q9p0y-00033G-3X
	for submit <at> debbugs.gnu.org; Tue, 12 Apr 2011 21:37:04 -0400
Received: from eggs.gnu.org ([140.186.70.92]:34573)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1Q9p0u-0005Bc-NW
	for bug-gnu-emacs@HIDDEN; Tue, 12 Apr 2011 21:37:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1Q9nxv-0000zX-IO
	for bug-gnu-emacs@HIDDEN; Tue, 12 Apr 2011 20:29:52 -0400
Received: from caiajhbdccah.dreamhost.com ([208.97.132.207]:42723
	helo=homiemail-a7.g.dreamhost.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jidanni@HIDDEN>) id 1Q9nxv-0000y3-EG
	for bug-gnu-emacs@HIDDEN; Tue, 12 Apr 2011 20:29:51 -0400
Received: from homiemail-a7.g.dreamhost.com (localhost [127.0.0.1])
	by homiemail-a7.g.dreamhost.com (Postfix) with ESMTP id B0CD125C06D
	for <bug-gnu-emacs@HIDDEN>; Tue, 12 Apr 2011 17:29:50 -0700 (PDT)
DomainKey-Signature: a=rsa-sha1; c=nofws; d=jidanni.org; h=from:to:subject
	:date:message-id:mime-version:content-type; q=dns; s=jidanni.org
	; b=mlpQHfltir0SSgiquDN4h16twz3SLjG/isaoJvIl1ukhrQv2uudViqXFGXT8
	WpYdoRsjGjnNiNwILtAdaB0F9VrP/KAzaId3c9IGeDxoBVZSl9YMXqHWsq9Eau28
	dWG6+OfM0dkwVEUOxPL27Q16Obfon3Gx09T/dLlhtGJjv8U=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
	:subject:date:message-id:mime-version:content-type; s=
	jidanni.org; bh=RVx2VAgKJ6ERFbtVAuDLF8f7RXE=; b=NXjAxJOCILFd6Cas
	cpos/z46TDew8qtBtyVGe4ydq1TfuFKUWjZBepI353tyifNqvcGK04JvaNPWwp7Q
	w4ZQtXOGengRoIjqXzO8Yo2fzWTsJMsfUL9WHhH2bHWmZ7NHd4vHoMGuaYWyVsLK
	WTBA3vHQU37W+9maCTwf1id9RMk=
Received: from jidanni.org (218-163-1-152.dynamic.hinet.net [218.163.1.152])
	(using TLSv1 with cipher AES256-SHA (256/256 bits))
	(No client certificate requested)
	(Authenticated sender: jidanni@HIDDEN)
	by homiemail-a7.g.dreamhost.com (Postfix) with ESMTPSA id 5152325C06B
	for <bug-gnu-emacs@HIDDEN>; Tue, 12 Apr 2011 17:29:50 -0700 (PDT)
From: jidanni@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: print error messages about why specified font size is not used
Date: Wed, 13 Apr 2011 08:21:01 +0800
Message-ID: <87r5979f2q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.5 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.5 (-----)

In
(if (eq window-system 'x)
    (progn
      (setq
       default-frame-alist
       '(
	 (fullscreen . maximized)
	 (font . "-sony-fixed-medium-r-normal--16-120-100-100-c-80-iso8859-1")
	 (vertical-scroll-bars . right)))
      (if(/= 0(user-uid))
	  (progn
	    (add-to-list 'default-frame-alist '(background-color . "DarkSlateGray"))
	    (add-to-list 'default-frame-alist '(foreground-color . "Wheat"))
	    )
	(progn
	  (add-to-list 'default-frame-alist '(background-color . "Hotpink4"))
	  (add-to-list 'default-frame-alist '(foreground-color . "Wheat"))
	  ))))

if one uses
	 (font . "-sony-fixed-medium-r-normal--24-120-100-100-c-80-iso8859-1")
instead, not a single error message is printed out why acts just like one still says
	 (font . "-sony-fixed-medium-r-normal--16-120-100-100-c-80-iso8859-1")
Please make sure error messages are produced and can be seen via C-h e.

(info "(emacs) Fonts") doesn't explain the mystery either.

Yes, xlsfonts shows both those fonts are installed.




Acknowledgement sent to jidanni@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#8488; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.